import * as fs from "fs";
import path from "path";

export class Settings {
    static get setupDone(): boolean {
        return this._setupDone;
    }

    private static _setupDone: boolean;
    private static json: {};


    public static loadSettings() {
        if (!fs.existsSync(path.join(__dirname, "/config.json"))) {
            this._setupDone = false;
            fs.writeFileSync(path.join(__dirname, "/config.json"), `{"setupDone":false}`);
        }

        let file = fs.readFileSync(path.join(__dirname, "/config.json"));
        this.json = JSON.parse(file.toString("utf8"));

        this._setupDone = this.json["setupDone"];
        this._setupDone = false;

    }

    public static saveSettings() {
        fs.writeFileSync(path.join(__dirname, "/config.json"), JSON.stringify(this.json));
    }

    public static get(key: string): any {
        return this.json[key];
    }

    public static set(key: string, value: any) {
        this.json[key] = value;
    }
}